gamemode adventure @a
title @a times 20 60 20
execute if score @p level matches 1 run title @a subtitle {"text":"Introduction...","color":"dark_purple"}

execute if score @p level matches 2 run title @a subtitle {"text":"Going Up!","color":"dark_purple"}
execute if score @p level matches 2 run tellraw @a ["",{"text":"New Block Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"REDSTONE BLOCK","bold":true,"color":"dark_red"}]
execute if score @p level matches 2 run fill 3 6 -13 3 5 -13 minecraft:redstone_block

execute if score @p level matches 3 run title @a subtitle {"text":"Roll for Initiative!","color":"dark_purple"}
execute if score @p level matches 3 run tellraw @a ["",{"text":"New Block Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"MAGMA BLOCK","bold":true,"color":"dark_red"}]
execute if score @p level matches 3 run fill 3 7 -13 3 5 -13 minecraft:magma_block

execute if score @p level matches 4 run title @a subtitle {"text":"A Shot in the Dark","color":"dark_purple"}
execute if score @p level matches 4 run tellraw @a ["",{"text":"New Block Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"SOUL TORCH","bold":true,"color":"aqua"}]
execute if score @p level matches 4 run tellraw @a ["",{"text":"New Block Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"GLASS","bold":true,"color":"white"}]
execute if score @p level matches 4 run fill 2 7 -13 2 5 -13 minecraft:soul_torch
execute if score @p level matches 4 run fill 4 7 -13 4 5 -13 minecraft:glass
execute if score @p level matches 4 run scoreboard players set timer timer 0

execute if score @p level matches 5 run title @a subtitle {"text":"A Superior Structure...","color":"dark_purple"}
execute if score @p level matches 5 run tellraw @a ["",{"text":"Upgrade Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"5x5x5 BUILD","bold":true,"color":"gold"},{"text":"\n"},{"text":"\n"},{"text":"Can only be placed on Bluestone","bold":true,"color":"dark_blue"}]
execute if score @p level matches 5 run setblock 3 5 -12 emerald_block
execute if score @p level matches 5 run summon item 3 6 -12 {Health: 5s, Invulnerable: 0b, Air: 300s, OnGround: 1b, PortalCooldown: 0, FallDistance: 0.0f, Item: {id: "minecraft:carrot_on_a_stick", Count: 1b, tag: {Unbreakable: 1, CustomModelData: 7, HideFlags: 6, display: {Lore: ['[{"text":"Swaps between 3x3x3 builds and 5x5x5","italic":false,"color":"red"}]', '[{"text":"3x3x3 can be placed on Redstone or Bluestone,","italic":false,"color":"red"}]', '[{"text":"5x5x5 can only be placed on Bluestone","italic":false,"color":"red"}]'], Name: '[{"text":"Scale Toggler","italic":false,"color":"gray"}]'}, Enchantments: [{}], Damage: 0}}, CanUpdate: 1b, PickupDelay: 0s, Fire: -1s, Lifespan: 600000, Age: 0s}
execute if score @p level matches 5 run schedule clear function struc:triggers/arrows_4

execute if score @p level matches 6 run title @a subtitle {"text":"Irreplacable","color":"dark_purple"}
execute if score @p level matches 6 run tellraw @a ["",{"text":"New Block Discovered:","italic":true,"color":"gray"},{"text":"\n"},{"text":"IRON BLOCK","bold":true,"color":"gray"}]
execute if score @p level matches 6 run tellraw @a ["",{"text":"Iron blocks cannot be replaced!","italic":true,"color":"gray"}]

execute if score @p level matches 7 run title @a subtitle {"text":"The Tower of Magma","color":"dark_purple"}
execute if score @p level matches 7 run tellraw @a ["",{"text":"New Block Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"LEVER","bold":true,"color":"brown"}]
execute if score @p level matches 7 run fill 3 6 -13 3 5 -13 lever
execute if score @p level matches 7 run scoreboard players set timer timer 0

execute if score @p level matches 8 run title @a subtitle {"text":"Unexepected Visitors","color":"dark_purple"}
execute if score @p level matches 8 run tellraw @a ["",{"text":"New Block Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"LAUNCHER","bold":true,"color":"light_gray"}]
execute if score @p level matches 8 run tellraw @a ["",{"text":"Launchers can arrows in a specified direction","italic":true,"color":"gray"}]
execute if score @p level matches 8 run fill 3 6 -13 3 5 -13 dispenser

execute if score @p level matches 9 run title @a subtitle {"text":"Watch your step...","color":"dark_purple"}
execute if score @p level matches 9 run tellraw @a ["",{"text":"New Block Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"BLUE ICE BLOCK","bold":true,"color":"aqua"}]
execute if score @p level matches 9 run fill 3 10 -13 3 5 -13 minecraft:blue_ice

execute if score @p level matches 10 run title @a subtitle {"text":"The Final Stretch","color":"dark_purple"}
execute if score @p level matches 10 run tellraw @a ["",{"text":"New Tool Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"Shadow Tracer","bold":true,"color":"black"}]
execute if score @p level matches 10 run tellraw @a ["",{"text":"The Shadow Tracer allows you to instantly transport to the location of your shadow","italic":true,"color":"gray"}]
execute if score @p level matches 10 run tellraw @a ["",{"text":"Updated Tool Unlocked:","italic":true,"color":"gray"},{"text":"\n"},{"text":"Reverser","bold":true,"color":"purple"}]
execute if score @p level matches 10 run tellraw @a ["",{"text":"Reversing now teleports you to the start of the level, It doesn't reset it, Touching a hazard still resets the level","italic":true,"color":"gray"}]




execute if score @p level matches 1..10 if score @p hardcore matches 0 run title @a title ["",{"text":"Level ","color":"dark_purple"},{"score":{"name":"@p","objective":"level"},"color":"dark_purple"}]
execute if score @p level matches 1..10 if score @p hardcore matches 1 run title @a title ["",{"text":"Level ","color":"dark_red"},{"score":{"name":"@p","objective":"level"},"color":"dark_red"}]


execute if score @p level matches 0 if score @p hardcore matches 0 run title @a subtitle {"text":"Structual Ingenuity in Normal","color":"dark_purple"}
execute if score @p level matches 0 if score @p hardcore matches 1 run title @a subtitle {"text":"Structual Ingenuity in Hardcore","color":"dark_red"}
execute if score @p level matches 0 if score @p hardcore matches 0 run title @a title ["",{"text":"Congratulations, You completed","color":"dark_red"}]
execute if score @p level matches 0 if score @p hardcore matches 1 run title @a title ["",{"text":"Congratulations, You completed","color":"dark_purple"}]
execute if score @p level matches 0 if score @p hardcore matches 0 run advancement grant @s only struc:11
execute if score @p level matches 0 if score @p hardcore matches 1 run advancement grant @s only struc:struc

execute if score @p level matches 11 run scoreboard players set @p level 0
execute as @a run function struc:triggers/rewinder
